#!/bin/sh
# This is part of MyDbox (installer for Dropbox)
# version 1.2
# copyright (C) Giuliana Gentile a.k.a.
# Whitesnow (on Puppy Linux forum) and QuaLaPinna (mail: software@qualapinna.dyndns.org,
# blog: http://qualapinna.dyndns.org, repository: http://qualapinna.dyndns.org/repo)
# December 2014, license: GPL3 and any later versions

	if [ -d ~root/.dropbox-dist -o -d ~spot/.dropbox-dist ]; then
		Xdialog --title "Remove Dropbox?" --fill --ok-label "Remove Dropbox, too" --cancel-label "Leave Dropbox and exit" --yesno "MyDbox is going to uninstall. This uninstaller will remove system menu entry and unofficial icon provided for Dropbox, because they aren't part of it. Would you like to remove Dropbox (\".dropbox-dist\" folder in your home and courtesy launcher /usr/bin/dropbox), too? Please, note that configuration and synchronized files will be untouched (look into your home folder for \".dropbox\" - that link actually to /mnt/home/.dropbox - and \"Dropbox\"). This will allow you to reinstall Dropbox in the future, without lose your personal stuff and configuration. Remove them manually, if you want. Make your choice, now." 0 0
	else
		exit
	fi
	
	case $? in
		0)	rm -r `find -L ~root ~spot -maxdepth 1 -type d -name .dropbox-dist`
			rm /usr/bin/dropbox
			;;
		*)	exit
			;;
	esac

exit
